package boshclient

import (
	"fmt"
	"net/http"
)

func (c *Client) GetTasks(deploymentName string) ([]BoshTask, error) {
	c.logger.Printf("getting tasks for deployment %s from bosh\n", deploymentName)
	var getTasksResponse []BoshTask

	if err := c.getDataFromBoshCheckingForErrors(
		fmt.Sprintf("%s/tasks?deployment=%s", c.boshURL, deploymentName),
		http.StatusOK,
		&getTasksResponse,
	); err != nil {
		return nil, err
	}

	return getTasksResponse, nil
}
