package broker

import (
	"fmt"

	"github.com/pivotal-cf/on-demand-service-broker/mgmtapi"
)

func (b *Broker) Instances() ([]mgmtapi.Instance, error) {
	instanceIDs, err := b.cfClient.GetInstancesOfServiceOffering(b.serviceOffering.ID)
	if err != nil {
		b.logger.Println(fmt.Errorf("error listing instances: %s", err))
		return nil, err
	}

	mgmtInstances := []mgmtapi.Instance{}
	for _, instanceID := range instanceIDs {
		mgmtInstance := mgmtapi.Instance{
			InstanceID: instanceID,
		}
		mgmtInstances = append(mgmtInstances, mgmtInstance)
	}

	return mgmtInstances, nil
}
